<!-- THIS PART OF THIS FILE IS AUTOGENERATED. DO NOT MODIFY IT. See scripts/generate-docs.sh -->
# hi

```text
usage: hi [-h] [-v] [-s] [-f] addr

```

Searches all heaps to find if an address belongs to a chunk. If yes, prints the chunk.
### Positional arguments

|Positional Argument|Help|
| :--- | :--- |
|addr|Address of the interest.|

### Optional arguments

|Short|Long|Help|
| :--- | :--- | :--- |
|-h|--help|show this help message and exit|
|-v|--verbose|Print all chunk fields, even unused ones.|
|-s|--simple|Simply print malloc_chunk struct's contents.|
|-f|--fake|Allow fake chunks. If set, displays any memory as a heap chunk (even if its not a real chunk).|

<!-- END OF AUTOGENERATED PART. Do not modify this line or the line below, they mark the end of the auto-generated part of the file. If you want to extend the documentation in a way which cannot easily be done by adding to the command help description, write below the following line. -->
<!-- ------------\>8---- ----\>8---- ----\>8------------ -->
